[API Reference](../README.md) > [TransferFromAndCallOptions](../interfaces/TransferFromAndCallOptions.md)

# Interface: TransferFromAndCallOptions

## Hierarchy

 [StandardTokenTransferFromOptions](StandardTokenTransferFromOptions.md)

**↳ TransferFromAndCallOptions**

## Index

### Properties

* [amount](TransferFromAndCallOptions.md#amount)
* [callData](TransferFromAndCallOptions.md#callData)
* [from](TransferFromAndCallOptions.md#from)
* [to](TransferFromAndCallOptions.md#to)

---

## Properties

<a id="amount"></a>

###  amount

**● amount**: * `BigNumber` &#124; `string`
*

*Inherited from [StandardTokenTransferFromOptions](StandardTokenTransferFromOptions.md).[amount](StandardTokenTransferFromOptions.md#amount)*

*Defined in [wrappers/standardToken.ts:290](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L290)*

___
<a id="callData"></a>

###  callData

**● callData**: *`string`*

*Defined in [wrappers/iErc827Token.ts:64](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iErc827Token.ts#L64)*

___
<a id="from"></a>

###  from

**● from**: *[Address](../#Address)*

*Inherited from [StandardTokenTransferFromOptions](StandardTokenTransferFromOptions.md).[from](StandardTokenTransferFromOptions.md#from)*

*Defined in [wrappers/standardToken.ts:291](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L291)*

___
<a id="to"></a>

###  to

**● to**: *[Address](../#Address)*

*Inherited from [StandardTokenTransferFromOptions](StandardTokenTransferFromOptions.md).[to](StandardTokenTransferFromOptions.md#to)*

*Defined in [wrappers/standardToken.ts:292](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/standardToken.ts#L292)*

___

